DROP TABLE IF EXISTS Works;
CREATE TABLE Works (
    ID INTEGER AUTO_INCREMENT PRIMARY KEY,
    Time BIGINT NOT NULL DEFAULT 0,
    Action INT UNSIGNED NOT NULL DEFAULT 0,
    Router_ID INTEGER NOT NULL REFERENCES Routers(ID) ON DELETE CASCADE,
    Swich_ID INTEGER NOT NULL REFERENCES Swiches(ID) ON DELETE CASCADE,
    Client_ID INTEGER NOT NULL REFERENCES Client(ID) ON DELETE CASCADE,
    Zone_ID INTEGER NOT NULL REFERENCES Zone(ID) ON DELETE CASCADE,
    Client_IP CHAR(15) NOT NULL DEFAULT '0.0.0.0',
    UNIQUE INDEX Works_ID (ID)
);

DROP TABLE IF EXISTS SwichD;
CREATE TABLE SwichD (
    ID INTEGER AUTO_INCREMENT PRIMARY KEY,
    Swich_ID INTEGER NOT NULL REFERENCES Swiches(ID) ON DELETE CASCADE,
    Type TINYINT DEFAULT 0,
    Community VARCHAR(120),
    Parameters VARCHAR(120),
    Time INT UNSIGNED NOT NULL DEFAULT 0,
    Script VARCHAR(120),
    UNIQUE INDEX XAKSwichD_ID (ID)
);

DROP TABLE IF EXISTS PortData;
CREATE TABLE PortData (
    ID INTEGER AUTO_INCREMENT PRIMARY KEY,
    Swich_ID INTEGER NOT NULL REFERENCES Swiches(ID) ON DELETE CASCADE,
    Port INT UNSIGNED NOT NULL DEFAULT 0,
    U BIGINT NOT NULL DEFAULT 0,
    D BIGINT NOT NULL DEFAULT 0,
    UNIQUE INDEX XAKPortData_ID (ID)
);
